Popups (scheduler-portlet 2.0.1-SNAPSHOT API)
Date: 2013-10-21

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.datatransfer.portlets.user.client
Class Popups

    java.lang.Object
      org.gcube.datatransfer.portlets.user.client.Common
          org.gcube.datatransfer.portlets.user.client.Popups

    public class Popups

extends Common

Author:
  Nikolaos Drakopoulos(CERN)

Nested Class Summary

Nested classes/interfaces inherited from class org.gcube.datatransfer.portlets.user.client.Common
`Common.DESTTYPE, Common.FolderToRetrieve, Common.SOURCETYPE`

Field Summary

Fields inherited from class org.gcube.datatransfer.portlets.user.client.Common
`agentHostname, agentIsSelectedFromStatsPanel, agentStatProp, agentStats, agentStatsTooltip, autoId, baseDtoProp, callingManagementResult, callingManagementResultJson, callingSchedulerResult, callingWorkspaceRoot, cc1Uris, cc2Uris, closeButton, cmAgentStat, combo1, combo1Label, comboAgent, commands, commandsInGrid, currentAgentDestinationPath, currentAgentSourcePath, currentDataSourcePath, currentDataStoragePath, currentMongoDBDestinationPath, currentMongoDBSourcePath, dataSourcesList, dataStoragesList, date, dateLabel, defaultResourceName, defaultScope, defaultValuesSource, defaultValuesStorage, deleteCurrentFolder, deleteCurrentTreeSource, destCombo, destinationAnchor, destinationF, destinationFolder, destLabel, destLabelF, dialogBoxGen, east, editing, foc, focusTimer, folderDestination, folderResDestination, folderResSource, folderSource, force, forceInGrid, forTreeElementDescription, frequency, functions, gettingUserAndScope, getTransferRepeatingTimer, getTransferTimer, grid, gridAgentStats, hideSchedulerButton, idWorkspaceRoot, inputUrls, isAdmin, jsonWorkspace, lastCombo1Value, lastDestComboValue, lastSelectedAgentFolderDestName, lastSelectedAgentFolderName, lastSelectedDataSourceFolderName, lastSelectedDatastorageFolderName, lastSelectedFolderId, lastSelectedMongoDBFolderDestName, lastSelectedMongoDBFolderName, listAgentStats, listOutcomes, listTreeOutcomes, loadingIconForSource, loadingIconForTarget, loadingIconForTransfers, makeNewFolder, makeNewTreeSource, minGenHeight, minGenWidth, multiBoxAgents, multiBoxDataSources, multiBoxDataStorages, multiBoxDestinationType, multiBoxSourceType, multiBoxTreeWriteSources, neededParent, newFolderField, newTreeSourceField, outcomesProp, overwrite, panelGeneral, panels, passWorkspace, popups, portlet, printFolderString, resizeTimer, ResourceName, ResourceNameInGrid, rpCalls, schedulerService, scope, scopeInGrid, selectedAgentDestination, selectedAgentDestinationPath, selectedAgentDestinationPort, selectedAgentSource, selectedAgentSourcePath, selectedAgentSourcePort, selectedDataSourceId, selectedDatasourcePath, selectedDataStorageId, selectedDatastorageName, selectedDatastoragePath, selectedDestCollection, selectedMongoDBDestinationPath, selectedMongoDBSourcePath, sendButton, showDestinationsButton, showSchedulerButton, showSourcesButton, smAccessType, smAccessTypeSource, smOwner, smOwnerSource, smServiceClass, smServiceClassSource, smServiceName, smServiceNameSource, sourceAnchor, sourceStore, sourceTree, south, specificationLink, store, storeAgentStats, storeForUris, stringOfAgents, stringOfAgentStats, stringOfWriteSourceIDs, targetStore, targetTree, targetTreeDropTarget, time, timeLabel, toBeTransferredStore, toolbarDestF, toolbarSource, totalWidth, transferId, transferIdInGrid, transferInfoProp, treeOutcomesProp, typeOfSchedule, unzip, uriGrid, uriProp, vpListFiles, west`

Constructor Summary
`Popups()`

Method Summary
`com.google.gwt.user.client.ui.Widget` | `asPopUpAgents(Common.FolderToRetrieve folderToRetrieve)`
`com.google.gwt.user.client.ui.Widget` | `asPopUpAgentSource()`
`com.google.gwt.user.client.ui.Widget` | `asPopUpAgentStats()`
`void` | `asPopUpAskingForGoingBack(com.sencha.gxt.widget.core.client.tree.Tree.TreeNode<BaseDto> node)`
`com.google.gwt.user.client.ui.Widget` | `asPopUpAuthenticationWorkspace()`
`com.google.gwt.user.client.ui.Widget` | `asPopUpCreateNewFolder()`
`void` | `asPopUpCreateNewFolderOnSelect()`
`com.google.gwt.user.client.ui.Widget` | `asPopUpCreateNewTreeSource()`
`void` | `asPopUpCreateNewTreeSourceOnSelect()`
`com.google.gwt.user.client.ui.Widget` | `asPopUpDataSource()`
`com.google.gwt.user.client.ui.Widget` | `asPopUpDataStorage()`
`com.google.gwt.user.client.ui.Widget` | `asPopUpDestinationType()`
`com.google.gwt.user.client.ui.Widget` | `asPopUpMongoDBSource()`
`com.google.gwt.user.client.ui.Widget` | `asPopUpMongoDBStorage()`
`com.google.gwt.user.client.ui.Widget` | `asPopUpOperateTransfer()`
`com.google.gwt.user.client.ui.Widget` | `asPopUpOutcomes()`
`com.google.gwt.user.client.ui.Widget` | `asPopUpSourceType()`
`void` | `asPopUpSourceTypeOnSelect()`
`com.google.gwt.user.client.ui.Widget` | `asPopUpTreeOutcomes()`
`com.google.gwt.user.client.ui.Widget` | `asPopUpTreeWriteSources()`
`void` | `asPopUpTreeWriteSourcesOnSelect()`
`com.google.gwt.user.client.ui.Widget` | `asPopUpUris()`
`org.gcube.portlets.widgets.guidedtour.client.steps.TourStep` | `createTemplateStep(String header, List<String> images, List<String> textArrays)`
`void` | `initializeMongoDBSource()`
`void` | `initializeMongoDBStorage()`
`void` | `onAddUris()`
`void` | `showGuidedTour()`

Methods inherited from class org.gcube.datatransfer.portlets.user.client.Common
`createGridEditing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Popups

    public Popups()

Method Detail

### asPopUpAgents

    public com.google.gwt.user.client.ui.Widget asPopUpAgents(Common.FolderToRetrieve folderToRetrieve)

### asPopUpMongoDBStorage

    public com.google.gwt.user.client.ui.Widget asPopUpMongoDBStorage()

### asPopUpMongoDBSource

    public com.google.gwt.user.client.ui.Widget asPopUpMongoDBSource()

### asPopUpAuthenticationWorkspace

    public com.google.gwt.user.client.ui.Widget asPopUpAuthenticationWorkspace()

### asPopUpDataStorage

    public com.google.gwt.user.client.ui.Widget asPopUpDataStorage()

### asPopUpTreeWriteSources

    public com.google.gwt.user.client.ui.Widget asPopUpTreeWriteSources()

### asPopUpTreeWriteSourcesOnSelect

    public void asPopUpTreeWriteSourcesOnSelect()

### asPopUpDataSource

    public com.google.gwt.user.client.ui.Widget asPopUpDataSource()

### asPopUpAgentSource

    public com.google.gwt.user.client.ui.Widget asPopUpAgentSource()

### asPopUpSourceType

    public com.google.gwt.user.client.ui.Widget asPopUpSourceType()

### asPopUpSourceTypeOnSelect

    public void asPopUpSourceTypeOnSelect()

### initializeMongoDBSource

    public void initializeMongoDBSource()

### asPopUpDestinationType

    public com.google.gwt.user.client.ui.Widget asPopUpDestinationType()

### initializeMongoDBStorage

    public void initializeMongoDBStorage()

### asPopUpUris

    public com.google.gwt.user.client.ui.Widget asPopUpUris()

### onAddUris

    public void onAddUris()

### asPopUpOperateTransfer

    public com.google.gwt.user.client.ui.Widget asPopUpOperateTransfer()

### asPopUpAgentStats

    public com.google.gwt.user.client.ui.Widget asPopUpAgentStats()

### asPopUpOutcomes

    public com.google.gwt.user.client.ui.Widget asPopUpOutcomes()

### asPopUpTreeOutcomes

    public com.google.gwt.user.client.ui.Widget asPopUpTreeOutcomes()

### asPopUpAskingForGoingBack

    public void asPopUpAskingForGoingBack(com.sencha.gxt.widget.core.client.tree.Tree.TreeNode<BaseDto> node)

### showGuidedTour

    public void showGuidedTour()

### createTemplateStep

    public org.gcube.portlets.widgets.guidedtour.client.steps.TourStep createTemplateStep(String header,
                                                                                          List<String> images,
                                                                                          List<String> textArrays)

### asPopUpCreateNewTreeSource

    public com.google.gwt.user.client.ui.Widget asPopUpCreateNewTreeSource()

### asPopUpCreateNewTreeSourceOnSelect

    public void asPopUpCreateNewTreeSourceOnSelect()

### asPopUpCreateNewFolder

    public com.google.gwt.user.client.ui.Widget asPopUpCreateNewFolder()

### asPopUpCreateNewFolderOnSelect

    public void asPopUpCreateNewFolderOnSelect()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.